Subject: Re: bug#28626: 25.3; problem displaying images

From: Matt Lundin <[email-masked]>
Date: Tue, 03 Oct 2017 09:32:01 -0500

Glenn Morris <[email-masked]> writes:

> [email-masked] wrote:
>
>> All of the sudden (probably after latest updates) when I C-x f any image
>> to display in the buffer it does not appear!
> [...]
>> ImageMagick error: no decode delegate for this image format `PNG' @ error/constitute.c/ReadImage/504 [2 times]
>
> Looks like a problem with your ImageMagick installation.
> Check DELEGATES line in
>
>   convert -list configure
>
> and check libpng installation too, I guess.

I can confirm the same problem since the upgrade to imagemagick 6.9.9.17
on archlinux. It occurs both with JPEG and PNG images. For example, I
receive the following message when trying to open a jpg image:

ImageMagick error: no decode delegate for this image format `JPEG' @ error/constitute.c/ReadImage/504 [2 times]

Here is the DELEGATES line mentioned above:

DELEGATES      bzlib mpeg fontconfig freetype gslib jng jpeg lcms lqr lzma openexr openjp2 pango png ps raqm raw rsvg tiff webp wmf x xml zlib

libpng on my system is 1.6.32

openjpeg2 is 2.2.0

I suspect this may be a bug in the most recent imagemagick release. Or
there may have been an API change.

Best,
Matt